Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.factory
Class ConditionalFlowExecutionListenerLoader

    java.lang.Object
      org.springframework.webflow.execution.factory.ConditionalFlowExecutionListenerLoader

All Implemented Interfaces:
  FlowExecutionListenerLoader

    public class ConditionalFlowExecutionListenerLoader

extends java.lang.Object
implements FlowExecutionListenerLoader

A flow execution listener loader that stores listeners in a list-backed data structure and allows for configuration of which listeners should apply to which flow definitions. For trivial listener loading, see `StaticFlowExecutionListenerLoader`.

Author:
  Keith Donald
See Also:
  `FlowExecutionListenerCriteria`, `StaticFlowExecutionListenerLoader`

Constructor Summary
`ConditionalFlowExecutionListenerLoader()`

Method Summary
`void` | `addListener(FlowExecutionListener listener, FlowExecutionListenerCriteria criteria)` Add a listener that will listen to executions to flows matching the specified criteria.
`FlowExecutionListener[]` | `getListeners(FlowDefinition flowDefinition)` Returns the array of flow execution listeners for specified flow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalFlowExecutionListenerLoader

    public ConditionalFlowExecutionListenerLoader()

Method Detail

### addListener

    public void addListener(FlowExecutionListener listener,
                            FlowExecutionListenerCriteria criteria)

  Add a listener that will listen to executions to flows matching the specified criteria.

  Parameters:
    `listener` - the listener
    `criteria` - the listener criteria

### getListeners

    public FlowExecutionListener[] getListeners(FlowDefinition flowDefinition)

  Returns the array of flow execution listeners for specified flow.

  Specified by:
    `getListeners` in interface `FlowExecutionListenerLoader`
  Parameters:
    `flowDefinition` - the flow definition associated with the execution to be listened to
  Returns:
    the flow execution listeners that apply

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD